<?php


namespace Schaffen\Core\Movement\Repositories;

use Freelabois\LaravelQuickstart\Extendables\Repository;
use Schaffen\Core\Movement\Models\SalesItem;

class SalesItemRepository extends Repository
{
    protected $model = SalesItem::class;

    protected $searchableFields = [
    ];

    public function storeOrUpdate($values, int $id = null, array $relations = [])
    {
        foreach ($values['itens'] as $value) {
            $value['vei_fk_ven_codigo'] = $values['ven_codigo'];
            $value['vei_fk_pve_codigo'] = $value['pve_codigo'];

            try {
                parent::storeOrUpdate($value, $id, $relations);
            }catch (\Exception $e){
                return  $e;
            }
        }
        return true;
    }
}
