<?php


namespace Schaffen\Core\Movement\Repositories;

use Freelabois\LaravelQuickstart\Extendables\Repository;
use Schaffen\Core\Movement\Models\SalesPaymentForm;

class SalesPaymentFormRepository extends Repository
{
    protected $model = SalesPaymentForm::class;

    protected $searchableFields = [
    ];

    public function storeOrUpdate($values, int $id = null, array $relations = [])
    {
        foreach ($values['forma_pagamento'] as $value){
            $value['vfp_fk_ven_codigo'] = $values['ven_codigo'];
            $value['vfp_fk_fop_codigo'] = $value['fop_codigo'];
            try {
                parent::storeOrUpdate($value, $id, $relations);
            }catch (\Exception $e){
                return $e;
            }
        }
        return true;
    }
}
